# Initiate managed order transaction

Manually charges the saved card associated with an active managed order. Use this endpoint for an unscheduled merchant-initiated transaction after the customer has agreed to save the card and the managed order is in progress. The `amount` is the amount of this new charge; when an initial estimate was already collected, send only the additional difference.

Endpoint: PATCH /order-rebill/{id}
Version: 1.0
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `id` (string, required)
    The ID of the order

## Request fields (application/x-www-form-urlencoded):

  - `customerId` (integer, required)
    The ID of the customer.

  - `amount` (number, required)
    Amount

  - `transactionOption` (string)
    Json encoded param used to pass optional flags. Validate against https://api-stage.xmoney.com/schema/transactionOption.schema.json

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `data` (object, required)

  - `data.id` (integer, required)

  - `data.transactionId` (integer)

  - `data.cardId` (integer)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `code` (integer)
    Example: 400

  - `message` (string)
    Example: Bad Request

  - `error` (array)

  - `error.code` (integer)
    System error code.

  - `error.message` (string)
    System error message.

  - `error.type` (string)
    System error type.
    Enum: "Exception", "Validation"

  - `error.field` (string)
    Field name that caused the error.

